/**
 * Umkehren eines Arrays
 * 
 * @author Owyn
 * @version 2008-04-12
 */
public class Reverse {
    
    /**
     * Enth&auml;lt das Array
     */
    int[] a;
    
    /**
     * Erzeugt ein Array der L&auml;nge n, gef&uuml;llt mit zuf&auml;lligen Zahlen
     * 
     * @param n     Anzahl der Arrayelemente, wird auf 2 gesetzt, falls kleiner
     */
    public Reverse(int n) {
        if (n < 2) n = 2; // Mindestens zwei Elemente
        a = new int[n]; // Array erzeugen
        java.util.Random r = new java.util.Random(); // Zufallsgenerator
        for (int i = 0; i < n; i++) a[i] = r.nextInt(99) + 1; // Array fuellen
    }

    /**
     *  Gibt das Array auf dem Bildschirm aus
     */
     void print() {
         System.out.print(a[0]); // erstes Element
         for (int i = 1; i < a.length; i++)
           System.out.print(" " + a[i]); // weitere Elemente
         System.out.println(); // Zeilenumbruch
    }
  
    /**
     * Spiegelt das Array
     */
     void reverse() {
         int temp; // Hilfsvariable
         // Erstes Element mit letztem vertauschen, zweites mit vorletztem etc.
         for (int i = 0; i < (a.length / 2); i++) {
            temp = a[i];
            a[i] = a[a.length - i - 1];
            a[a.length - i - 1] = temp;
        }
     }
     
    /**
     * main-Methode (ehemals "task")
     */
    public static void main (String[] args) {
        Reverse r = new Reverse(10); // Array erzeugen
        System.out.print("Original:   ");
        r.print(); // Array ausgeben
        r.reverse(); // Array spiegeln
        System.out.print("Gespiegelt: ");
        r.print(); // Gespiegeltes Array ausgeben
    }
    
}
